package cn.com.infosec.mobile.android.managers;

import android.content.Context;
import android.graphics.Rect;
import android.support.annotation.Keep;
import android.support.annotation.NonNull;
import android.text.TextUtils;
import cn.com.infosec.mobile.android.IMSPDFAction;
import cn.com.infosec.mobile.android.IMSSdk;
import cn.com.infosec.mobile.android.net.NetworkInterface;
import cn.com.infosec.mobile.android.result.Result;
import cn.com.infosec.mobile.android.xlog.XLog;
import java.io.File;
import java.util.Map;
import java.util.logging.Level;
import java.util.logging.Logger;
import org.json.JSONObject;

@Keep
public class PDFManager {
   private SignManager signManager;
   private IMSPDFAction imsPDFAction;

   public PDFManager(Context context) {
      PDFManager var10000 = this;
      PDFManager var10001 = this;
      super();
      IMSPDFAction var2;
      var2 = new IMSPDFAction.<init>(context);
      var10001.imsPDFAction = var2;
      SignManager var3;
      var3 = new SignManager.<init>(context);
      var10000.signManager = var3;
   }

   private Result doSealerUpload(@NonNull String userName, String sealerPlain, String sealerSign, int sealerType, String companyName, boolean isUpdate) {
      Exception var10000;
      label52: {
         boolean var10001;
         Map var18;
         try {
            var18 = this.imsPDFAction.uploadSealerBegin(userName, sealerPlain, sealerSign, sealerType, companyName);
         } catch (Exception var12) {
            var10000 = var12;
            var10001 = false;
            break label52;
         }

         Map userName1 = var18;
         if (var18 == null) {
            try {
               return this.imsPDFAction.getLatestResult();
            } catch (Exception var7) {
               var10000 = var7;
               var10001 = false;
            }
         } else {
            label54: {
               boolean var19;
               NetworkInterface var20;
               try {
                  var19 = isUpdate;
                  var20 = IMSSdk.networkInterface;
               } catch (Exception var11) {
                  var10000 = var11;
                  var10001 = false;
                  break label54;
               }

               NetworkInterface sealerPlain1 = var20;
               String var21 = "/";

               try {
                  var21 = var21.concat(IMSSdk.APP_NAME);
               } catch (Exception var10) {
                  var10000 = var10;
                  var10001 = false;
                  break label54;
               }

               sealerSign = var21;
               String sealerType1;
               if (var19) {
                  sealerType1 = "/stamper/cert/update";
               } else {
                  sealerType1 = "/stamper/cert/register";
               }

               PDFManager var22;
               JSONObject var23;
               try {
                  var22 = this;
                  var23 = sealerPlain1.httpPost(sealerSign.concat(sealerType1), userName1);
               } catch (Exception var9) {
                  var10000 = var9;
                  var10001 = false;
                  break label54;
               }

               JSONObject var13 = var23;

               try {
                  return var22.imsPDFAction.uploadSealerFinal(var13);
               } catch (Exception var8) {
                  var10000 = var8;
                  var10001 = false;
               }
            }
         }
      }

      Exception var14 = var10000;
      var14.printStackTrace();
      return new Result("IE1015", var14);
   }

   private Result doPDFDigest(@NonNull String userName, @NonNull String PIN, int sealerType, @NonNull String random, @NonNull String fileHash, int pageNumber, @NonNull Rect sealerRegion, @NonNull String signReason) {
      Exception var10000;
      label54: {
         Map var17;
         boolean var10001;
         try {
            var17 = this.imsPDFAction.digestBegin(userName, random, sealerType, fileHash, pageNumber, sealerRegion, signReason);
         } catch (Exception var14) {
            var10000 = var14;
            var10001 = false;
            break label54;
         }

         Map sealerType1 = var17;
         if (var17 == null) {
            try {
               return this.imsPDFAction.getLatestResult();
            } catch (Exception var9) {
               var10000 = var9;
               var10001 = false;
            }
         } else {
            label56: {
               boolean var18;
               try {
                  var18 = this.imsPDFAction.isCollaborative();
               } catch (Exception var13) {
                  var10000 = var13;
                  var10001 = false;
                  break label56;
               }

               label46: {
                  if (var18) {
                     try {
                        var18 = this.imsPDFAction.isServerPDFMode();
                     } catch (Exception var12) {
                        var10000 = var12;
                        var10001 = false;
                        break label56;
                     }

                     if (var18) {
                        fileHash = "/pdf/initPdfData";
                        break label46;
                     }
                  }

                  fileHash = "/pdf/getPdfData";
               }

               String var10002;
               PDFManager var19;
               String var10003;
               String var20;
               NetworkInterface var10004;
               try {
                  var19 = this;
                  var20 = userName;
                  var10002 = PIN;
                  var10003 = random;
                  var10004 = IMSSdk.networkInterface;
               } catch (Exception var11) {
                  var10000 = var11;
                  var10001 = false;
                  break label56;
               }

               String var10005 = "/";

               try {
                  return var19.doSignPDF(var20, var10002, var10003, var10004.httpPost(var10005.concat(IMSSdk.APP_NAME).concat(fileHash), sealerType1));
               } catch (Exception var10) {
                  var10000 = var10;
                  var10001 = false;
               }
            }
         }
      }

      Exception var15 = var10000;
      var15.printStackTrace();
      return new Result("IE1015", var15);
   }

   private Result doSignPDF(@NonNull String userName, @NonNull String PIN, @NonNull String random, @NonNull JSONObject callbackData) {
      Exception var10000;
      label121: {
         boolean var10001;
         boolean var25;
         try {
            var25 = this.imsPDFAction.isCollaborative();
         } catch (Exception var20) {
            var10000 = var20;
            var10001 = false;
            break label121;
         }

         String var10002;
         JSONObject var21;
         Map userName1;
         Map var26;
         PDFManager var27;
         NetworkInterface var28;
         JSONObject var29;
         if (var25) {
            label101: {
               try {
                  var25 = this.imsPDFAction.isServerPDFMode();
               } catch (Exception var14) {
                  var10000 = var14;
                  var10001 = false;
                  break label101;
               }

               if (var25) {
                  label85: {
                     try {
                        var26 = this.imsPDFAction.signServerBegin(userName, PIN, random, callbackData);
                     } catch (Exception var9) {
                        var10000 = var9;
                        var10001 = false;
                        break label85;
                     }

                     userName1 = var26;
                     if (var26 == null) {
                        try {
                           return this.imsPDFAction.getLatestResult();
                        } catch (Exception var5) {
                           var10000 = var5;
                           var10001 = false;
                        }
                     } else {
                        label123: {
                           try {
                              var27 = this;
                              var28 = IMSSdk.networkInterface;
                           } catch (Exception var8) {
                              var10000 = var8;
                              var10001 = false;
                              break label123;
                           }

                           var10002 = "/";

                           try {
                              var29 = var28.httpPost(var10002.concat(IMSSdk.APP_NAME).concat("/pdf/getXTPdfUrl"), userName1);
                           } catch (Exception var7) {
                              var10000 = var7;
                              var10001 = false;
                              break label123;
                           }

                           var21 = var29;

                           try {
                              return var27.imsPDFAction.signFinal(var21);
                           } catch (Exception var6) {
                              var10000 = var6;
                              var10001 = false;
                           }
                        }
                     }
                  }
               } else {
                  label97: {
                     try {
                        var26 = this.imsPDFAction.collaborateSignPre(userName, callbackData);
                     } catch (Exception var13) {
                        var10000 = var13;
                        var10001 = false;
                        break label97;
                     }

                     Map callbackData1 = var26;
                     if (var26 == null) {
                        try {
                           return this.imsPDFAction.getLatestResult();
                        } catch (Exception var10) {
                           var10000 = var10;
                           var10001 = false;
                        }
                     } else {
                        label124: {
                           String var10003;
                           NetworkInterface var10004;
                           String var30;
                           try {
                              var27 = this;
                              var30 = userName;
                              var10002 = PIN;
                              var10003 = random;
                              var10004 = IMSSdk.networkInterface;
                           } catch (Exception var12) {
                              var10000 = var12;
                              var10001 = false;
                              break label124;
                           }

                           String var10005 = "/";

                           try {
                              return var27.doPDFcollaborateSign(var30, var10002, var10003, var10004.httpPost(var10005.concat(IMSSdk.APP_NAME).concat("/user/getSignedValNew"), callbackData1));
                           } catch (Exception var11) {
                              var10000 = var11;
                              var10001 = false;
                           }
                        }
                     }
                  }
               }
            }
         } else {
            label117: {
               try {
                  var26 = this.imsPDFAction.signBegin(userName, PIN, random, callbackData);
               } catch (Exception var19) {
                  var10000 = var19;
                  var10001 = false;
                  break label117;
               }

               userName1 = var26;
               if (var26 == null) {
                  try {
                     return this.imsPDFAction.getLatestResult();
                  } catch (Exception var15) {
                     var10000 = var15;
                     var10001 = false;
                  }
               } else {
                  label125: {
                     try {
                        var27 = this;
                        var28 = IMSSdk.networkInterface;
                     } catch (Exception var18) {
                        var10000 = var18;
                        var10001 = false;
                        break label125;
                     }

                     var10002 = "/";

                     try {
                        var29 = var28.httpPost(var10002.concat(IMSSdk.APP_NAME).concat("/pdf/getPdfUrl"), userName1);
                     } catch (Exception var17) {
                        var10000 = var17;
                        var10001 = false;
                        break label125;
                     }

                     var21 = var29;

                     try {
                        return var27.imsPDFAction.signFinal(var21);
                     } catch (Exception var16) {
                        var10000 = var16;
                        var10001 = false;
                     }
                  }
               }
            }
         }
      }

      Exception var22 = var10000;
      var22.printStackTrace();
      return new Result("IE1015", var22);
   }

   private Result doPDFcollaborateSign(@NonNull String userName, @NonNull String PIN, @NonNull String random, @NonNull JSONObject callbackData) {
      Exception var10000;
      label41: {
         Map var13;
         boolean var10001;
         try {
            var13 = this.imsPDFAction.collaborateSignBegin(userName, PIN, random, callbackData);
         } catch (Exception var9) {
            var10000 = var9;
            var10001 = false;
            break label41;
         }

         Map userName1 = var13;
         if (var13 == null) {
            try {
               return this.imsPDFAction.getLatestResult();
            } catch (Exception var5) {
               var10000 = var5;
               var10001 = false;
            }
         } else {
            label43: {
               PDFManager var14;
               NetworkInterface var15;
               try {
                  var14 = this;
                  var15 = IMSSdk.networkInterface;
               } catch (Exception var8) {
                  var10000 = var8;
                  var10001 = false;
                  break label43;
               }

               String var10002 = "/";

               JSONObject var16;
               try {
                  var16 = var15.httpPost(var10002.concat(IMSSdk.APP_NAME).concat("/pdf/getPdfUrl"), userName1);
               } catch (Exception var7) {
                  var10000 = var7;
                  var10001 = false;
                  break label43;
               }

               JSONObject var10 = var16;

               try {
                  return var14.imsPDFAction.signFinal(var10);
               } catch (Exception var6) {
                  var10000 = var6;
                  var10001 = false;
               }
            }
         }
      }

      Exception var11 = var10000;
      var11.printStackTrace();
      return new Result("IE1015", var11);
   }

   public String randomFromQR(String qrData) {
      return this.imsPDFAction.randomFromQR(qrData);
   }

   public void randomFromFile(@NonNull String userName, @NonNull File pdfFile, @NonNull Result.ResultListener resultListener) {
      Map userName1;
      if ((userName1 = this.imsPDFAction.randomFromFileBegin(userName, pdfFile)) == null) {
         resultListener.handleResult(this.imsPDFAction.getLatestResult());
      } else {
         NetworkInterface var10000 = IMSSdk.networkInterface;
         String var10001 = "/".concat(IMSSdk.APP_NAME).concat("/stamper/qrcode/image/get/base64");
         Map var10002 = userName1;
         NetworkInterface.NetworkCallback userName2;
         userName2 = new NetworkInterface.NetworkCallback<JSONObject>() {
            // $FF: synthetic field
            final Result.ResultListener val$resultListener;

            {
               this.val$resultListener = var2;
            }

            public void onSucceed(@NonNull JSONObject callbackData) {
               callbackData = super.decodeFilter(callbackData);
               this.val$resultListener.handleResult(PDFManager.this.imsPDFAction.randomFromFileFinal(callbackData));
            }

            public void onFailed(@NonNull String errorMsg) {
               <undefinedtype> var10000 = this;
               Result var2;
               var2 = new Result.<init>("IE1031", errorMsg);
               var10000.val$resultListener.handleResult(var2);
               IMSSdk.mLogger.log(Level.SEVERE, "上传本地文件失败:".concat(errorMsg));
               XLog.d("上传本地文件失败:".concat(errorMsg));
            }
         }.<init>(resultListener);
         var10000.httpPost(var10001, var10002, userName2);
      }
   }

   public Result randomFromFile(@NonNull String userName, @NonNull File pdfFile) {
      Exception var10000;
      label41: {
         Map var11;
         boolean var10001;
         try {
            var11 = this.imsPDFAction.randomFromFileBegin(userName, pdfFile);
         } catch (Exception var7) {
            var10000 = var7;
            var10001 = false;
            break label41;
         }

         Map userName1 = var11;
         if (var11 == null) {
            try {
               return this.imsPDFAction.getLatestResult();
            } catch (Exception var3) {
               var10000 = var3;
               var10001 = false;
            }
         } else {
            label43: {
               PDFManager var12;
               NetworkInterface var13;
               try {
                  var12 = this;
                  var13 = IMSSdk.networkInterface;
               } catch (Exception var6) {
                  var10000 = var6;
                  var10001 = false;
                  break label43;
               }

               String var10002 = "/";

               JSONObject var14;
               try {
                  var14 = var13.httpPost(var10002.concat(IMSSdk.APP_NAME).concat("/stamper/qrcode/image/get/base64"), userName1);
               } catch (Exception var5) {
                  var10000 = var5;
                  var10001 = false;
                  break label43;
               }

               JSONObject var8 = var14;

               try {
                  return var12.imsPDFAction.randomFromFileFinal(var8);
               } catch (Exception var4) {
                  var10000 = var4;
                  var10001 = false;
               }
            }
         }
      }

      Exception var9 = var10000;
      var9.printStackTrace();
      return new Result("IE1015", var9);
   }

   public void registeSealer(@NonNull String userName, @NonNull String PIN, @NonNull File sealer, int sealerType, @NonNull String companyName, @NonNull Result.ResultListener resultListener) {
      String sealer1;
      if (TextUtils.isEmpty(sealer1 = this.imsPDFAction.formatSealer(sealer, false))) {
         resultListener.handleResult(this.imsPDFAction.getLatestResult());
      } else {
         SignManager var10000 = this.signManager;
         byte[] var10002 = sealer1.getBytes();
         Result.ResultListener var7;
         var7 = new Result.ResultListener() {
            // $FF: synthetic field
            final Result.ResultListener val$resultListener;
            // $FF: synthetic field
            final String val$userName;
            // $FF: synthetic field
            final String val$sealerPlain;
            // $FF: synthetic field
            final int val$sealerType;
            // $FF: synthetic field
            final String val$companyName;

            {
               this.val$resultListener = var2;
               this.val$userName = var3;
               this.val$sealerPlain = var4;
               this.val$sealerType = var5;
               this.val$companyName = var6;
            }

            public void handleResult(Result result) {
               String result1;
               if (TextUtils.equals("000000", result.getResultID())) {
                  result1 = result.getResultDesc();
                  Result.ResultListener var10000 = this.val$resultListener;
                  PDFManager var10001 = PDFManager.this;
                  <undefinedtype> var10002 = this;
                  <undefinedtype> var10003 = this;
                  <undefinedtype> var10004 = this;
                  String var5 = this.val$userName;
                  String var2 = var10004.val$sealerPlain;
                  int var3 = var10003.val$sealerType;
                  String var4 = var10002.val$companyName;
                  var10000.handleResult(var10001.doSealerUpload(var5, var2, result1, var3, var4, false));
               } else {
                  this.val$resultListener.handleResult(result);
                  Logger var8 = IMSSdk.mLogger;
                  Level var6 = Level.SEVERE;
                  result1 = result.toString();
                  var8.log(var6, "签章注册失败:".concat(result1));
               }

            }
         }.<init>(resultListener, userName, sealer1, sealerType, companyName);
         var10000.sign(userName, PIN, var10002, 0, var7);
      }
   }

   public Result registeSealer(@NonNull String userName, @NonNull String PIN, @NonNull File sealer, int sealerType, @NonNull String companyName) {
      String sealer1;
      if (TextUtils.isEmpty(sealer1 = this.imsPDFAction.formatSealer(sealer, false))) {
         return this.imsPDFAction.getLatestResult();
      } else {
         Result PIN1;
         if (TextUtils.equals("000000", (PIN1 = this.signManager.sign(userName, PIN, sealer1.getBytes(), 0)).getResultID())) {
            return this.doSealerUpload(userName, sealer1, PIN1.getResultDesc(), sealerType, companyName, false);
         } else {
            Logger var10001 = IMSSdk.mLogger;
            Level var6 = Level.SEVERE;
            userName = PIN1.toString();
            var10001.log(var6, "签章注册失败:".concat(userName));
            return PIN1;
         }
      }
   }

   public void updateSealer(@NonNull String userName, @NonNull String PIN, @NonNull File sealer, int sealerType, @NonNull String companyName, @NonNull Result.ResultListener resultListener) {
      String sealer1;
      if (TextUtils.isEmpty(sealer1 = this.imsPDFAction.formatSealer(sealer, true))) {
         resultListener.handleResult(this.imsPDFAction.getLatestResult());
      } else {
         SignManager var10000 = this.signManager;
         byte[] var10002 = sealer1.getBytes();
         Result.ResultListener var7;
         var7 = new Result.ResultListener() {
            // $FF: synthetic field
            final Result.ResultListener val$resultListener;
            // $FF: synthetic field
            final String val$userName;
            // $FF: synthetic field
            final String val$sealerPlain;
            // $FF: synthetic field
            final int val$sealerType;
            // $FF: synthetic field
            final String val$companyName;

            {
               this.val$resultListener = var2;
               this.val$userName = var3;
               this.val$sealerPlain = var4;
               this.val$sealerType = var5;
               this.val$companyName = var6;
            }

            public void handleResult(Result result) {
               String result1;
               if (TextUtils.equals("000000", result.getResultID())) {
                  result1 = result.getResultDesc();
                  Result.ResultListener var10000 = this.val$resultListener;
                  PDFManager var10001 = PDFManager.this;
                  <undefinedtype> var10002 = this;
                  <undefinedtype> var10003 = this;
                  <undefinedtype> var10004 = this;
                  String var5 = this.val$userName;
                  String var2 = var10004.val$sealerPlain;
                  int var3 = var10003.val$sealerType;
                  String var4 = var10002.val$companyName;
                  var10000.handleResult(var10001.doSealerUpload(var5, var2, result1, var3, var4, true));
               } else {
                  this.val$resultListener.handleResult(result);
                  Logger var8 = IMSSdk.mLogger;
                  Level var6 = Level.SEVERE;
                  result1 = result.toString();
                  var8.log(var6, "签章更新失败:".concat(result1));
               }

            }
         }.<init>(resultListener, userName, sealer1, sealerType, companyName);
         var10000.sign(userName, PIN, var10002, 0, var7);
      }
   }

   public Result updateSealer(@NonNull String userName, @NonNull String PIN, @NonNull File sealer, int sealerType, @NonNull String companyName) {
      String sealer1;
      if (TextUtils.isEmpty(sealer1 = this.imsPDFAction.formatSealer(sealer, true))) {
         return this.imsPDFAction.getLatestResult();
      } else {
         Result PIN1;
         return TextUtils.equals("000000", (PIN1 = this.signManager.sign(userName, PIN, sealer1.getBytes(), 0)).getResultID()) ? this.doSealerUpload(userName, sealer1, PIN1.getResultDesc(), sealerType, companyName, true) : PIN1;
      }
   }

   public void downloadSealer(@NonNull String userName, int sealerType, @NonNull Result.ResultListener resultListener) {
      Map userName1;
      if ((userName1 = this.imsPDFAction.registedSealerURLBegin(userName, sealerType)) == null) {
         resultListener.handleResult(this.imsPDFAction.getLatestResult());
      } else {
         NetworkInterface var10000 = IMSSdk.networkInterface;
         String var10001 = "/".concat(IMSSdk.APP_NAME).concat("/stamper/stamper/get");
         Map var10002 = userName1;
         NetworkInterface.NetworkCallback userName2;
         userName2 = new NetworkInterface.NetworkCallback<JSONObject>() {
            // $FF: synthetic field
            final Result.ResultListener val$resultListener;

            {
               this.val$resultListener = var2;
            }

            public void onSucceed(@NonNull JSONObject callbackData) {
               callbackData = super.decodeFilter(callbackData);
               this.val$resultListener.handleResult(PDFManager.this.imsPDFAction.registedSealerURLFinal(callbackData));
            }

            public void onFailed(@NonNull String errorMsg) {
               <undefinedtype> var10000 = this;
               Result var2;
               var2 = new Result.<init>("IE1033", errorMsg);
               var10000.val$resultListener.handleResult(var2);
               IMSSdk.mLogger.log(Level.SEVERE, "签章下载失败:".concat(errorMsg));
            }
         }.<init>(resultListener);
         var10000.httpPost(var10001, var10002, userName2);
      }
   }

   public Result downloadSealer(@NonNull String userName, int sealerType) {
      Exception var10000;
      label41: {
         Map var11;
         boolean var10001;
         try {
            var11 = this.imsPDFAction.registedSealerURLBegin(userName, sealerType);
         } catch (Exception var7) {
            var10000 = var7;
            var10001 = false;
            break label41;
         }

         Map userName1 = var11;
         if (var11 == null) {
            try {
               return this.imsPDFAction.getLatestResult();
            } catch (Exception var3) {
               var10000 = var3;
               var10001 = false;
            }
         } else {
            label43: {
               PDFManager var12;
               NetworkInterface var13;
               try {
                  var12 = this;
                  var13 = IMSSdk.networkInterface;
               } catch (Exception var6) {
                  var10000 = var6;
                  var10001 = false;
                  break label43;
               }

               String var10002 = "/";

               JSONObject var14;
               try {
                  var14 = var13.httpPost(var10002.concat(IMSSdk.APP_NAME).concat("/stamper/stamper/get"), userName1);
               } catch (Exception var5) {
                  var10000 = var5;
                  var10001 = false;
                  break label43;
               }

               JSONObject var8 = var14;

               try {
                  return var12.imsPDFAction.registedSealerURLFinal(var8);
               } catch (Exception var4) {
                  var10000 = var4;
                  var10001 = false;
               }
            }
         }
      }

      Exception var9 = var10000;
      var9.printStackTrace();
      return new Result("IE1015", var9);
   }

   public void downloadPDF(@NonNull String userName, @NonNull String random, @NonNull Result.ResultListener resultListener) {
      Map userName1;
      if ((userName1 = this.imsPDFAction.fileURLBegin(userName, random)) == null) {
         resultListener.handleResult(this.imsPDFAction.getLatestResult());
      } else {
         NetworkInterface var10000 = IMSSdk.networkInterface;
         String var10001 = "/".concat(IMSSdk.APP_NAME).concat("/stamper/sign/pdf/plain/download");
         Map var10002 = userName1;
         NetworkInterface.NetworkCallback userName2;
         userName2 = new NetworkInterface.NetworkCallback<JSONObject>() {
            // $FF: synthetic field
            final Result.ResultListener val$resultListener;

            {
               this.val$resultListener = var2;
            }

            public void onSucceed(@NonNull JSONObject callbackData) {
               callbackData = super.decodeFilter(callbackData);
               this.val$resultListener.handleResult(PDFManager.this.imsPDFAction.fileURLFinal(callbackData));
            }

            public void onFailed(@NonNull String errorMsg) {
               <undefinedtype> var10000 = this;
               Result var2;
               var2 = new Result.<init>("IE1034", errorMsg);
               var10000.val$resultListener.handleResult(var2);
               IMSSdk.mLogger.log(Level.SEVERE, "PDF下载失败:".concat(errorMsg));
            }
         }.<init>(resultListener);
         var10000.httpPost(var10001, var10002, userName2);
      }
   }

   public Result downloadPDF(@NonNull String userName, @NonNull String random) {
      Exception var10000;
      label41: {
         Map var11;
         boolean var10001;
         try {
            var11 = this.imsPDFAction.fileURLBegin(userName, random);
         } catch (Exception var7) {
            var10000 = var7;
            var10001 = false;
            break label41;
         }

         Map userName1 = var11;
         if (var11 == null) {
            try {
               return this.imsPDFAction.getLatestResult();
            } catch (Exception var3) {
               var10000 = var3;
               var10001 = false;
            }
         } else {
            label43: {
               PDFManager var12;
               NetworkInterface var13;
               try {
                  var12 = this;
                  var13 = IMSSdk.networkInterface;
               } catch (Exception var6) {
                  var10000 = var6;
                  var10001 = false;
                  break label43;
               }

               String var10002 = "/";

               JSONObject var14;
               try {
                  var14 = var13.httpPost(var10002.concat(IMSSdk.APP_NAME).concat("/stamper/sign/pdf/plain/download"), userName1);
               } catch (Exception var5) {
                  var10000 = var5;
                  var10001 = false;
                  break label43;
               }

               JSONObject var8 = var14;

               try {
                  return var12.imsPDFAction.fileURLFinal(var8);
               } catch (Exception var4) {
                  var10000 = var4;
                  var10001 = false;
               }
            }
         }
      }

      Exception var9 = var10000;
      var9.printStackTrace();
      return new Result("IE1015", var9);
   }

   public void signPDF(@NonNull String userName, @NonNull String PIN, int sealerType, @NonNull String random, @NonNull String fileHash, int pageNumber, @NonNull Rect sealerRegion, @NonNull String signReason, @NonNull Result.ResultListener resultListener) {
      CertManager var10000 = new CertManager(IMSSdk.mContext);
      Result.ResultListener var10;
      var10 = new Result.ResultListener() {
         // $FF: synthetic field
         final Result.ResultListener val$resultListener;
         // $FF: synthetic field
         final String val$userName;
         // $FF: synthetic field
         final String val$PIN;
         // $FF: synthetic field
         final int val$sealerType;
         // $FF: synthetic field
         final String val$random;
         // $FF: synthetic field
         final String val$fileHash;
         // $FF: synthetic field
         final int val$pageNumber;
         // $FF: synthetic field
         final Rect val$sealerRegion;
         // $FF: synthetic field
         final String val$signReason;

         {
            this.val$resultListener = var2;
            this.val$userName = var3;
            this.val$PIN = var4;
            this.val$sealerType = var5;
            this.val$random = var6;
            this.val$fileHash = var7;
            this.val$pageNumber = var8;
            this.val$sealerRegion = var9;
            this.val$signReason = var10;
         }

         public void handleResult(Result result) {
            if (TextUtils.equals("000000", result.getResultID())) {
               Result.ResultListener var10000 = this.val$resultListener;
               PDFManager var10001 = PDFManager.this;
               <undefinedtype> var10002 = this;
               <undefinedtype> var10003 = this;
               <undefinedtype> var10004 = this;
               <undefinedtype> var10005 = this;
               <undefinedtype> var10006 = this;
               <undefinedtype> var10007 = this;
               <undefinedtype> var10008 = this;
               String var8 = this.val$userName;
               String result1 = var10008.val$PIN;
               int var2 = var10007.val$sealerType;
               String var3 = var10006.val$random;
               String var4 = var10005.val$fileHash;
               int var5 = var10004.val$pageNumber;
               Rect var6 = var10003.val$sealerRegion;
               String var7 = var10002.val$signReason;
               var10000.handleResult(var10001.doPDFDigest(var8, result1, var2, var3, var4, var5, var6, var7));
            } else {
               this.val$resultListener.handleResult(result);
            }

         }
      }.<init>(resultListener, userName, PIN, sealerType, random, fileHash, pageNumber, sealerRegion, signReason);
      var10000.verifyPIN(userName, PIN, var10);
   }

   public Result signPDF(@NonNull String userName, @NonNull String PIN, int sealerType, @NonNull String random, @NonNull String fileHash, int pageNumber, @NonNull Rect sealerRegion, @NonNull String signReason) {
      Result var9;
      return TextUtils.equals("000000", (var9 = (new CertManager(IMSSdk.mContext)).verifyPIN(userName, PIN)).getResultID()) ? this.doPDFDigest(userName, PIN, sealerType, random, fileHash, pageNumber, sealerRegion, signReason) : var9;
   }

   public void verifyPDFFile(String userName, File file, Result.ResultListener resultListener) {
      Map userName1;
      if ((userName1 = this.imsPDFAction.verifyPDFBegin(userName, file)) == null) {
         resultListener.handleResult(this.imsPDFAction.getLatestResult());
      } else {
         NetworkInterface var10000 = IMSSdk.networkInterface;
         String var10001 = "/".concat(IMSSdk.APP_NAME).concat("/sign/pdfSignedVerifyContent");
         Map var10002 = userName1;
         NetworkInterface.NetworkCallback userName2;
         userName2 = new NetworkInterface.NetworkCallback<JSONObject>() {
            // $FF: synthetic field
            final Result.ResultListener val$resultListener;

            {
               this.val$resultListener = var2;
            }

            public void onSucceed(@NonNull JSONObject callbackData) {
               callbackData = super.decodeFilter(callbackData);
               this.val$resultListener.handleResult(PDFManager.this.imsPDFAction.verifyPDFFinal(callbackData));
            }

            public void onFailed(@NonNull String errorMsg) {
               <undefinedtype> var10000 = this;
               Result var2;
               var2 = new Result.<init>("IE1035", errorMsg);
               var10000.val$resultListener.handleResult(var2);
               IMSSdk.mLogger.log(Level.SEVERE, "PDF验签失败:".concat(errorMsg));
            }
         }.<init>(resultListener);
         var10000.httpPost(var10001, var10002, userName2);
      }
   }

   public Result verifyPDFFile(String userName, File file) {
      Exception var10000;
      label41: {
         Map var11;
         boolean var10001;
         try {
            var11 = this.imsPDFAction.verifyPDFBegin(userName, file);
         } catch (Exception var7) {
            var10000 = var7;
            var10001 = false;
            break label41;
         }

         Map userName1 = var11;
         if (var11 == null) {
            try {
               return this.imsPDFAction.getLatestResult();
            } catch (Exception var3) {
               var10000 = var3;
               var10001 = false;
            }
         } else {
            label43: {
               PDFManager var12;
               NetworkInterface var13;
               try {
                  var12 = this;
                  var13 = IMSSdk.networkInterface;
               } catch (Exception var6) {
                  var10000 = var6;
                  var10001 = false;
                  break label43;
               }

               String var10002 = "/";

               JSONObject var14;
               try {
                  var14 = var13.httpPost(var10002.concat(IMSSdk.APP_NAME).concat("/sign/pdfSignedVerifyContent"), userName1);
               } catch (Exception var5) {
                  var10000 = var5;
                  var10001 = false;
                  break label43;
               }

               JSONObject var8 = var14;

               try {
                  return var12.imsPDFAction.verifyPDFFinal(var8);
               } catch (Exception var4) {
                  var10000 = var4;
                  var10001 = false;
               }
            }
         }
      }

      Exception var9 = var10000;
      var9.printStackTrace();
      return new Result("IE1015", var9);
   }
}
